"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class SampleCollectionOperationsQuestions(ProtocolElement):
    """
    Operations questions on sample collection for Newborns BaMMs
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_7 import participant as participant_1_5_0

        return {
            "easeOfSampleCollection": participant_1_5_0.EaseOfSampleCollection,
        }

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_7 import participant as participant_1_5_0

        return {
            "org.gel.models.participant.avro.EaseOfSampleCollection": participant_1_5_0.EaseOfSampleCollection,
            "org.gel.models.participant.avro.SampleCollectionOperationsQuestions": participant_1_5_0.SampleCollectionOperationsQuestions,
        }

    __slots__ = [
        "easeOfSampleCollection",
        "minutes",
    ]

    def __init__(
        self,
        easeOfSampleCollection=None,
        minutes=None,
        validate=None,
        **kwargs
    ):
        """Initialise the participant_1_5_0.SampleCollectionOperationsQuestions model.

        :param easeOfSampleCollection:
            Ease of successful sample collection
        :type easeOfSampleCollection: None | EaseOfSampleCollection
        :param minutes:
            Time taken to collect the sample (from opening collection kit to
            completion) in minutes
        :type minutes: None | int
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.5.0"
